/*
 * @(#)Line3DCanvas.java	1.0a1 1997
 *
 * Copyright (c) 1997 JRad Technologies. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * JRAD MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package jrad.util;

import java.awt.*;

/**
 * A subclass of Canvas which draws a Windows 95-style horizontal
 * 3D line.
 */
public class Line3DCanvas extends Canvas {

    /**
     * Creates a new Line3DCanvas
     */
    public Line3DCanvas() {
    }

    /**
     * Creates a new Line3DCanvas with the specified location and
     * width.
     *
     * @param x the x location of the left side of the line
     * @param y the y location of the left side of the line
     * @param width the width of the line
     */
    public Line3DCanvas(int x, int y, int width) {
    reshape(x, y, width, 2);
    }

    /**
     * Paints the line.
     */
    public void paint(Graphics g) {
    super.paint(g);

    int width = size().width - 1;

    g.setColor(Color.gray);
    g.drawLine(0, 0, width - 2, 0);
    g.setColor(Color.white);
    g.drawLine(0, 1, width - 1, 1);
    g.drawLine(width - 1, 0, width - 1, 0);
    }
}
