/*
 * @(#)ToolTipPopup.java	1.0a1 1997
 *
 * Copyright (c) 1997 JRad Technologies. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * JRAD MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package jrad.util;

import java.awt.*;

/**
 * A subclass of Panel which displays a yellow tool tip.  Used by the
 * ToolTipFrame and ToolTipPanel classes.
 */
public class ToolTipPopup extends Panel {

    /**
     * The tip to display.
     */
    protected String tip;

    /**
     * Returns the tip to display.
     */
    public String getTip() {
    return this.tip;
    }

    /**
     * Sets the tip to display.
     *
     * @param tip the tip to display
     */
    public void setTip(String tip) {
    this.tip = tip;
    }

    /**
     * Paints the tip in the Panel's font on a yellow background.
     *
     * @param g the graphics
     */
    public void paint(Graphics g) {
    int width = size().width - 1;
    int height = size().height - 1;
    g.setColor(new Color(255, 255, 220));
    g.fillRect(0, 0, width, height);
    g.setColor(Color.black);
    g.drawRect(0, 0, width, height);
    g.drawString(tip, 4, height - 3);
    }
}
